#include "bus.h"

namespace Driver
{
  Unsigned8 Mem_bus::read8(Address address)
    {
      return *(volatile Unsigned8 *)address;
    }

  Unsigned16 Mem_bus::read16(Address address)
    {
      return *(volatile Unsigned16 *)address;
    }

  Unsigned32 Mem_bus::read32(Address address)
    {
      return *(volatile Unsigned32 *)address;
    }

  void Mem_bus::write8(Address address, Unsigned8 val)
    {
      *(volatile Unsigned8 *)address = val;
    }

  void Mem_bus::write16(Address address, Unsigned16 val)
    {
      *(volatile Unsigned16 *)address = val;
    }

  void Mem_bus::write32(Address address, Unsigned32 val)
    {
      *(volatile Unsigned32 *)address = val;
    }
}
