#include "types.h"

class User_state
{
protected:
  enum
    {
      Reg_sp = 13,
      Reg_lr = 14,
      Reg_pc = 15,
    };

  Mword r[16];
  Mword cpsr;

public:
  User_state(Mword pc);
  void dump();
};

class Sys_state : public User_state
{
public:
  unsigned nr();
  unsigned dest();
  void ret(int ret);
  void copy_to(Sys_state *dest);
};

