#pragma once

#include "types.h"

class Kmem
{
public:
  enum
    {
      /* size of total kernel memory available */
      Alloc_size = 0x20000,
    };

  /**
   * allocate a chunk of memory
   *
   * \param size	size of this memory to allocate
   * \returns		pointer to memory
   */
  static Mword *page_alloc(unsigned size);
};
