#include "libc_backend.h"
#include "uart.h"

static Driver::Uart *_stdio_uart;

Driver::Uart *stdio_uart() 
{ return _stdio_uart; }

void set_stdio_uart(Driver::Uart *uart)
{ _stdio_uart = uart; }

int __libc_backend_outs(const char *s, size_t len)
{
  if (stdio_uart()) 
    return stdio_uart()->write(s, len);
  else
    return 1;
}

int __libc_backend_ins(char *s, size_t len)
{
    return 0;
}

unsigned long __libc_backend_printf_lock(void)
{
  return 0;
}

void __libc_backend_printf_unlock(unsigned long)
{
}

