#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <errno.h>

#include "startup.h"

void *__dso_handle = &__dso_handle;

extern "C" void __main(void)
{
  extern char _bss_start[], _bss_end[];
  memset(_bss_start, 0, _bss_end - _bss_start);

  startup();
  
  while(1) {};
}

extern "C" void __attribute__((noreturn))
__cxa_pure_virtual()
{
  printf("__cxa_pure_virtual called...\n");
  while (1) {};
}

extern "C" void __attribute__((noreturn))
_exit(int /*rc*/)
{
  printf("\n\033[1mExit called...\033[m\n");
  while (1) {};
}

