#include <types.h>

int sys_send(Mword dest, Mword val)
{
  register Mword syscall_nr asm("r0") = 1;
  register Mword dest_id asm("r1") = dest;
  register Mword data asm("r2") = val;
  register Smword ret asm ("r0");

  asm volatile (
      "swi		\n"
      : "=r" (syscall_nr)
      : "r" (syscall_nr), "r" (dest_id), "r" (data)
      );

  return ret;
}

int sys_recv(Mword dest, Mword &val)
{
  register Mword syscall_nr asm("r0") = 2;
  register Mword dest_id asm("r1") = dest;
  register Mword data asm("r2");
  Smword ret;

  asm volatile (
      "swi	\n"
      : "=r" (syscall_nr), "=r" (data)
      : "r" (syscall_nr), "r" (dest_id)
      );
  ret = syscall_nr;

  return ret;
}
