.section .text

// entry for vectors we don't handle
entry_invalid:
// XXX implement me!
1:
	jmp	1b

// entry for page fault
entry_pagefault:
// XXX implement me!
1:
	jmp	1b

// entry for system calls
entry_syscall:
// XXX implement me!
1:
	jmp	1b

// entry for interrupts
entry_irq:
// XXX implement me!
1:
	jmp	1b


.globl _user_code
_user_code:
// XXX implement me!
1:
	jmp 1b

.macro IDT_ENTRY vector
	.word 0x0008
	.word 0x8e00
	.long \vector
.endm

.macro IDT_USR_ENTRY vector
	.word 0x0008
	.word 0xee00
	.long \vector
.endm

.globl idt_desc
idt_desc:
	.word idt_end-idt_start-1
	.long idt_start

// IDT vector table

.globl idt_start
idt_start:
// 0x0
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
//0x8	
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_pagefault)
	IDT_ENTRY(entry_invalid)
//0x10	
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
//0x18	
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
//0x20
	IDT_USR_ENTRY(entry_syscall)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
	IDT_ENTRY(entry_invalid)
//0x28	
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
//0x30
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
	IDT_ENTRY(entry_irq)
.globl idt_end
idt_end:

