#include <string.h>
#include <stdio.h>

#include "kmem.h"
#include "mem_layout.h"
#include "ptab.h"

/**
 * Mapping functions of the page directory
 */
static Map _map[2] =
{
    { 0x400000, static_cast<void (Root_page_table::*)(Address va, Address pa, Attr attr)> (&Pdir::map_4mb) },
    { 0x1000,   static_cast<void (Root_page_table::*)(Address va, Address pa, Attr attr)> (&Pdir::map_4kb) },
};

Map &
Pdir::get_map(unsigned index)
{
  if (index >= 2)
    {
      printf("Pdir: Warning: Invalid page size\n");
      while (1) {};
    }

  return _map[index];
}

Pdir::Pdir(Mword *raw)
{
  // XXX implement me!
}

Address Pdir::phys() const
{
  // XXX implement me!
  return 0;
}

void Pdir::map_4mb(Address va, Address pa, Attr attr)
{
  // XXX implement me!
}

void Pdir::map_4kb(Address va, Address pa, Attr attr)
{
  // XXX implement me!
}

//----------------------------------------------------------------------------

Ptab::Ptab(Mword *raw)
{
  // XXX implement me!
}

void Ptab::map(Address va, Address pa, Attr attr)
{
  // XXX implement me!
}

