#pragma once

#include "types.h"

class Mem_layout
{
public:
  enum
    {
      Phys_ram_base	= 0x00000000,
      User_ram_base     = 0x01000000,
      Phys_ram_end	= 0x08000000,
      // this are just dummies
      Phys_device_base	= 0x00000000,
      Phys_device_end	= 0x00000000,
    };

  static Address virt_to_phys(Address va)
    { return va; }

  static Address phys_to_virt(Address pa)
    { return pa; }
};
