#pragma once

#include "cpu.h"
#include "uart.h"
#include "timer.h"
#include "icu.h"

class Platform
{
public:
  static Cpu *cpu();
  static Driver::Uart *uart();
  static Driver::Icu *icu();
  static Driver::Timer *timer();
  static void init();
};
