OUTPUT_FORMAT("elf32-littlearm", "elf32-bigarm", "elf32-littlearm")
OUTPUT_ARCH(arm)
ENTRY(_start)


SECTIONS
{
  _stext = .;
  
  .text :
  {
    *(.text .text.* .gnu.linkonce.t.*)
    KEEP (*(.fini))
    
    . = ALIGN(0x40);
    
    *(.rodata .rodata.* .gnu.linkonce.r.*)
  }
  
  _etext = .;
  PROVIDE (etext = .);
  . = ALIGN(4K);
  
  .data :
  {
    *(.data .data.* .gnu.linkonce.d.*)
    _edata = .;
    PROVIDE (edata = .);
    
    . = ALIGN(4K);
  
  _bss_start = .;
   *(.dynbss)
   *(.bss .gnu.linkonce.b.*)
   *(COMMON)
  _bss_end = .;
  }
  
  _end = . ;
  PROVIDE (end = .);
  . = ALIGN(4K);
 
  /DISCARD/ : 
  {
    *(.hash)
    *(.dynsym)
    *(.dynstr)
    *(.rel.dyn)
    *(.interp)
    *(.comment)
    *(.note)
    *(.stab)
    *(.fini)
  }
}
